import Taro, { Component } from '@tarojs/taro';
import dayjs from 'dayjs'
import './item.scss'
import { transferImage } from '@/utils/tools'

export default class NewsItem extends Component {
  static defaultProps = {
    data: []
  }
  handleClick () {
    this.props.onClick(this.props.data)
  }
  render () {
    const { data } = this.props
    return (
      <View className="item flex-h" key={data.newsId} onClick={this.handleClick}>
        <View className='Img'>
          <Image className="centerLabel" mode='widthFix' src={data.newsImg}></Image>
        </View>
        <View className="item-con flex-item">
          <View className="item-con__title">{data.newsName}</View>
          <View className="item-con__date">于{dayjs(data.createDate).format('YYYY-MM-DD  HH:mm:ss')}发布</View>
        </View>
      </View>
    );
  }
}